Package com.sun.jna.platform.unix.solaris

## Class LibKstat.KstatNamed

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.solaris.LibKstat.KstatNamed

Enclosing interface:
  LibKstat

    @FieldOrder({"name","data_type","value"})
    public static class LibKstat.KstatNamed
    extends Structure

A list of arbitrary name=value statistics.

### Nested Class Summary

Nested Classes
`static class` `LibKstat.KstatNamed.UNION`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte` `data_type`
`byte[]` `name`
`LibKstat.KstatNamed.UNION` `value`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`KstatNamed()`
`KstatNamed​(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public byte[] name

#### data_type

    public byte data_type

#### value

    public LibKstat.KstatNamed.UNION value

### Constructor Detail

#### KstatNamed

    public KstatNamed()

#### KstatNamed

    public KstatNamed​(Pointer p)

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`